<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.WorkOrderGroupMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="workOrderGroupResultMap" type="org.springblade.estate.entity.WorkOrderGroup">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="residential_id" property="residentialId"/>
        <result column="group_type" property="groupType"/>
        <result column="tags" property="tags"/>
    </resultMap>

    <resultMap id="treeNodeResultMap" type="org.springblade.core.tool.node.TreeNode">
        <id column="id" property="id"/>
        <result column="parent_id" property="parentId"/>
        <result column="title" property="title"/>
        <result column="value" property="value"/>
        <result column="key" property="key"/>
    </resultMap>


    <select id="selectWorkOrderGroupPage" resultMap="workOrderGroupResultMap">
        select * from estate_work_order_group where is_deleted = 0
    </select>

</mapper>
